Bug 162326 - Ability to define separate window and tab title formats
Summary: Ability to define separate window and tab title formats
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Unclassified
Component: general (show other bugs)
Version: 2.8
Platform: Unlisted Binaries Linux
: NOR wishlist with 280 votes (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
: 174785 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-05-19 20:29 UTC by Adeodato Simó
Modified: 2012-09-25 00:59 UTC (History)
15 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adeodato Simó 2008-05-19 20:29:45 UTC
I'm using the KDE 4.0.74 snapshot; this is the first version of konsole 4 that 
I try.

It seems that setting the tittle with the xterm escapes does not work; this 
works in konsole 3.

(I looked for a similar bug report, but I couldn't find one.)

Thanks,
Comment 1 Robert Knight 2008-05-19 23:11:01 UTC
By default Konsole does not use the window title provided by the shell because it is typically not very useful - instead it generates a custom tab title based on the current directory and running program, unless you are running 'ssh' in which case the window title is used as Konsole doesn't know what is happening on the remote machine.

You can set the format for the tab title via Settings -> Edit Current Profile -> Tabs and changing the "Tab title format" and "Remote tab title format" settings.  If you want to use the window title provided by the shell then you can do that by clicking "Insert -> Window title set by shell" (which inserts the '%w' place holder into the tab title)
Comment 2 Adeodato Simó 2008-05-20 13:36:38 UTC
> By default Konsole does not use the window title provided by the shell
> because it is typically not very useful - instead it generates a
> custom tab title based on the current directory and running program,
> unless you are running 'ssh' in which case the window title is used as
> Konsole doesn't know what is happening on the remote machine.


> You can set the format for the tab title via Settings -> Edit Current
> Profile -> Tabs and changing the "Tab title format" and "Remote tab
> title format" settings.  If you want to use the window title provided
> by the shell then you can do that by clicking "Insert -> Window title
> set by shell" (which inserts the '%w' place holder into the tab title)


I see. Well, the "problem" I'm having then is: is it not possible, then,
to detach the "tab title" from the "window title"?

I like my tab titles to be something short (say, "Shell no. %#"), but I
would still like for the title in my konsole *window* to match what I
set from the shell with the xterm escapes.

Is my explanation clear?

Thanks,
Comment 3 Robert Knight 2008-05-20 13:48:13 UTC
> I see. Well, the "problem" I'm having then is: is it not possible, then,
> to detach the "tab title" from the "window title"? 

No, not at the moment.

> Is my explanation clear? 

Yes, I follow.
Comment 4 kavol 2008-06-25 13:17:21 UTC
I just wanted to report the same as in comment #2 ...

in addition, in my opinion, the *default* setting for the window title should include the title set by the program running in the shell
Comment 5 Robert Knight 2008-06-25 14:04:05 UTC
> in addition, in my opinion, the *default* setting for
> the window title should include the title set by the program
> running in the shell 

The problem if I do that by default is that users who haven't customised their shell much will see a long and largely useless prompt string appearing in the window switcher in the panel at the bottom of the screen.  

If you have customised your prompt heavily then I agree the default settings might be a hindrance but I think they work well for most users.
Comment 6 kavol 2008-06-25 14:48:00 UTC
> The problem if I do that by default is that users who haven't customised
> their shell much will see a long and largely useless prompt string ...

I do not see that so tragically :-)

many distros have some default like "[user@host dir]$" or "user dir $" when using shell, but it changes to something more interesting when running programs, for example like "emerge: (1 of N) ..." and having this in title helps to quickly realise the status (in this example it is especially useful because there is no other easy way to determine the emerge progress)

> appearing in the window switcher in the panel at the bottom of the screen. 

hm, I did not realise that it is connected ... however since the default prompt is usually set as above, it is nearly equal to having "host : path" - personally I would prefer "user : title" or "user@host : title" for remote, which would bring in some duplicity if the hostname and username are parts of the prompt, but it would change when running some command, and the command (or what it writes to the title) is IMO more important than the path
Comment 7 Julian Yap 2008-07-11 12:04:48 UTC
I second this statement:
I like my tab titles to be something short (say, "Shell no. %#"), but I
would still like for the title in my konsole *window* to match what I
set from the shell with the xterm escapes. 

---

Right now I have this setting set for local windows '%w'.

This increases the tab text and the side scrolling button for tabs is very annoying.  I'm accustomed to easily fitting 10+ small tabs across a Konsole window.

Comment 8 Gerrit Visscher 2008-10-15 21:06:02 UTC
I second this report. I am using Gentoo and like to see, which package is compiling at the moment. On the other side, the window title is too long for the tab (actually the tab is longer but the text is cut off -> http://gerrit.visscher.de/files/konsole.png)
It would be nice, if the window title could be set separately and the text in the tab would be as long as it can be.
Comment 9 Robert Knight 2008-11-10 16:19:20 UTC
*** Bug 174785 has been marked as a duplicate of this bug. ***
Comment 10 Trenton D. Adams 2009-03-27 02:47:55 UTC
(In reply to comment #8)
> I second this report. I am using Gentoo and like to see, which package is
> compiling at the moment. On the other side, the window title is too long for
> the tab (actually the tab is longer but the text is cut off ->
> http://gerrit.visscher.de/files/konsole.png)
> It would be nice, if the window title could be set separately and the text in
> the tab would be as long as it can be.

I second this comment, and the original request in comment #2.  I REALLY can't stand that my emerge shows in the title bar AND the tab title.  In the title bar is great, and is what I want.  But I want to display a short title in the tab title.

I'm curious, is this change going to be made?  It sure would be nice to have the konsole behaviour from 3.5.

Thanks
Comment 11 revola 2009-06-25 12:00:08 UTC
Hi,

It's quite the same for me. I used to rename tab titles with custom names on KDE 3. I used aliases on programs to rename tabs then launch the program.
As an example, i used SSH on multiple hosts and i used to rename the tab title with a custom name depending on the host i was on (i.e tab called "Sport" for a host called "fe.sport.com").

On KDE4, I've tried to use the "%w" option, but i've not been able to change the tab title with the shell
Comment 12 Robert Knight 2009-06-25 13:11:34 UTC
> I'm curious, is this change going to be made?

Yes.  It will be possible in future to define separate tab and window title formats.
Comment 13 Trenton D. Adams 2009-08-10 04:28:43 UTC
Hi Robert,

Do you know when this might be available?  4.3.x or 4.4.x?

konsole for kde 3.5 is no longer scrolling smoothly under kde 4.3, so I'm being forced to switch to the konsole that comes with kde 4.3.  This is very painful, mostly because of this feature being removed.

Thanks.
Comment 14 Robert Knight 2009-08-10 14:02:22 UTC
KDE 4.3 has already been released so it'll have to be 4.4 I'm afraid - unless you happen to be using KDE compiled from source.  Minor releases (4.3.x) are for bug fixes only and cannot usually introduce new UI features (or anything which requires translation)
Comment 15 oneforall 2009-11-14 02:24:37 UTC
Thats one thing about Minor releases (4.3.x) are
for bug fixes only and cannot usually introduce new UI features (or anything
which requires translation). Its something old that is  missing so it should be treated as a bug that needs fixed . Its not a new feature, its a missing old one that should be fixed. Shouldn't really be a wish either . Anyway something missing and hearing you have to wait now for many many months is quite sad.
Comment 16 Lars Winterfeld 2009-12-25 19:56:29 UTC
maybe bugs 179142 and 188245 are douplicates of this bug?
Comment 17 support 2010-12-09 18:40:36 UTC
And here we are a year later and still not fixed
Comment 18 Jekyll Wu 2012-01-25 12:44:14 UTC
Well, another old report silent for a long time ...

I wrote some experimental code for this bug a few days ago. I think it works but I'm not sure what it does is really what this report has requested. So if anyone has interest, please get the code from https://github.com/adaptee/konsole/tree/window-title , give it a try and provide some feedback. 

Frankly, I do not use window titles because I think they are often more boring/ugly than helpful. I like minimal interface so I always ask kwin to hide titlebar for Konsole :)

Anyhow, this wish or bug must be resolved. If what this report really wants is just "always or optionally show window title set by escape sequence on titlebar" instead of the same level of flexibility as tab title, I don't think it will take much work.
Comment 19 Jekyll Wu 2012-02-11 12:20:18 UTC
I'm a little surprised to find no feedback has been provided in the past two weeks. Does all the users who have commented or voted stop using Konsole due to this report ? :)

The reason I would like to hear feedback first is I personally DON'T use/like this feature. So I would like to wait until someone who really uses it in daily work tells me: "yeah, that is BASICALLY what I want."

The good news is I still have enough time for waiting before next major release :)
Comment 20 Nick Cross 2012-02-11 13:43:43 UTC
I used a tabbed console in day-to-day work. As I could not configure Konsole sufficiently I instead used %w to let the shell do it. I have ZSH display the current directory (and also the current running command). While the title bar can completely display e.g.
pwd : cmd
pwd
the tab bar just displays the suffix e.g. last part of ether pwd or cmd which is sufficient to identify it for me. 

It would be nice if Konsole could be configured more flexibly.
Comment 21 Jekyll Wu 2012-02-11 14:26:33 UTC
(In reply to comment #20)

Thanks for the feedback, although that is not what I have expected.

I really hope someone can fetch the experimental code from https://github.com/adaptee/konsole/tree/window-title, give a try and tell me "that is what I want".
Comment 22 Lars Winterfeld 2012-02-11 19:21:05 UTC
remember how it was in KDE 3.5? that is "what we want" ;-) hehe
Comment 23 Jekyll Wu 2012-02-11 20:28:05 UTC
(In reply to comment #22)
> remember how it was in KDE 3.5? that is "what we want" ;-) hehe

The unfortunate fact is I have never used KDE3(including its konsole) in a serious way. I'm not a KDE user until KDE 4.4, so I do not have any good or bad memory about the KDE3 era :)

So here is why I really would like to get the feedback like "yes, that is ..." or the opposite for that experimental code before I start to implement/fix it in a serious way:

1). I personally don't use/like this feature in daily work.

2). I have no memory of how it used to work, although I do have KDE3 konsole on my system and play with it occasionally to get general idea of those lost features(including this one).

I hope I have explained it clear enough.
Comment 24 Harm 2012-02-14 00:26:00 UTC
I finally managed to take a look at this but it has been a while since I used KDE3 so I'm not 100% sure.

As far as I remember konsole had the ability to set the tab and window title separately from the shell[1]
It seems this no longer works but that could well be a different issue or an intended change simply because not many scripts/shells make use of it.

I do not remember if there were any settings to change the window title format. But this patch does do what I remember from the old konsole, e.g. the window title shows the title set by the shell, even if there is a custom tab title.

[1] http://fvue.nl/wiki/Bash:_How_to_change_tab_and_window_title_of_console
Comment 25 Harm 2012-02-14 00:33:02 UTC
Found one issue with it.

When switching to a different tab and back the window title is lost and reverts to the tab title.
Comment 26 Jekyll Wu 2012-02-14 01:36:06 UTC
(In reply to comment #24 )

Hi Harm:

Thanks for the feedback. 

The (lost) ability to set tab title from shell is a separate issue tracked in bug 179142. I also have created a simple patch/hack for that issue.

(In reply to comment #25)

The patch for this report is just experimental, so it would not surprise me if there are bugs or even crashes. However, I didn't have that specific issue when testing the code. Just rechecked it again, no problem. Could you give more specific information about that issue?
Comment 27 Harm 2012-02-18 01:18:02 UTC
just went over it again and discovered I had messed up the patch when updating it for kde-4.8.0.
I didn't feel like learning kde's build system so I figured I'd use a distro package as a base and let that do all the magic...

so the patch is fine as is :)
Comment 28 Jekyll Wu 2012-02-18 09:17:00 UTC
OK, thanks for the feedback, Harm.

I have create a review request: https://git.reviewboard.kde.org/r/103978/. Hope it would be approved and merged.

Again, please try it and give feedback . And please understand this is really a new feature from the point of view of release management, so it can only go into a major release.
Comment 29 Jekyll Wu 2012-02-19 07:26:58 UTC
Git commit 4fb4da4c752b4781344f6eb9306780c35613d1bb by Jekyll Wu.
Committed on 19/02/2012 at 08:19.
Pushed by jekyllwu into branch 'master'.

Add global option for showing window title on titlebar

When the window title from current session is emtpy, fallback to using
tab title.
REVIEW: 103978

M  +29   -4    src/MainWindow.cpp
M  +1    -0    src/MainWindow.h
M  +12   -0    src/SessionController.cpp
M  +7    -0    src/SessionController.h
M  +13   -0    src/settings/GeneralSettings.ui
M  +5    -0    src/settings/konsole.kcfg

http://commits.kde.org/konsole/4fb4da4c752b4781344f6eb9306780c35613d1bb
Comment 30 Jekyll Wu 2012-02-19 07:57:38 UTC
OK, the code has been committed. From my point of view this problem has been solved. 

If anyone who has tried the latest code thinks there are still issues left or the implementation could be improved, please leave your idea here now. That would be much better than waiting silently until next major release and complaining: "No, this does not ..." :)
Comment 31 kavol 2012-02-20 12:45:33 UTC
(In reply to comment #30)
> If anyone who has tried the latest code thinks there are still issues left or
> the implementation could be improved, please leave your idea here now.

I've cloned the code from the link in comment #21 like:

git clone -b window-title https://github.com/adaptee/konsole.git

then I've run

cmake .
make
cd src
./konsole

now I do not see any change in profile settings regarding tab/window naming under tab settings (while tab toolbar settings got lost from that settings tab)

where are the settings to test?


and trying the name change in action (ab)using the code from the link in comment #24 like this:

#!/bin/bash

# Set terminal title
# @param string $1  Tab/window title
# @param string $2  (optional) Separate window title
# The latest version of this software can be obtained here:
# http://fvue.nl/wiki/NameTerminal
 
function nameTerminal() {
    local ansiNrTab=30 ansiNrWindow=0
        # Change tab title
    [ $ansiNrTab ] && echo -n $'\e'"]$ansiNrTab;$1"$'\a'
        # If terminal support separate window title, change window title as well
    [ $ansiNrWindow -a "$2" ] && echo -n $'\e'"]$ansiNrWindow;$2"$'\a'
} # nameTerminal()

nameTerminal "tab" "window"
sleep 20


I get both tab name and window name set to "window" - the behaviour is the same as with konsole 2.8

so I'd say ... testing FAIL


> That would be much better than waiting silently until next major release and
> complaining: "No, this does not ..." :)

well, the problem is that the testing barrier is very high for an ordinary user - good that you've provided whole git repo with appropriate branch, I just couldn't figure out how to easily make use of the commit link you've provided in  comment #29

and even with the source code being served on a silver plate, it took me a while to figure out build dependencies ...

now imagine if I knew nothing about git, nothing about cmake, nothing about kde package dependencies ... just having to wait until you push the update out and my distro picks that up

definitely, there is a big room for improvement how to involve users in testing
Comment 32 Jekyll Wu 2012-02-20 14:17:14 UTC
(In reply to comment #30)

Sorry for not providing clear information on testing the latest code.  

You should get the latest code from the official repository: https://projects.kde.org/projects/kde/kde-baseapps/konsole/repository. The link posted in comment #21 is just a temporary place for my experimental code.

See the screenshots attached in https://git.reviewboard.kde.org/r/103978/ to find where to turn that global option on. Or just go to "Settings --> Configure Konsole"

As for the barrier for testing, that is a general problem. There are some guides on techbase.kde.org, for example: http://techbase.kde.org/Getting_Started/Build/Example . The good news for Konsole is it lives in its own small repository and its building dependencies are relatively small: kdelibs and libkonq.

Side note: some options has been changed from per-profile options into global options in the latest code. You may find tarbar and menubar related settings are "reset" when trying the latest code. See bug 293231 for more information. Of course, that will be solved before next major release.
Comment 33 Harm 2012-02-20 22:03:00 UTC
I just tried the latest git version and it works like a charm (including the new setting).

(In reply to comment #31)
> I get both tab name and window name set to "window" - the behaviour is the same
> as with konsole 2.8
>
> so I'd say ... testing FAIL

If the tab title is set to display "%w" (which is the default afaik) then they would be the same.

The point of this patch is to allow setting a custom tab title (which may include %w) while the window title always shows the title set in the shell.

If you feel this is not the correct solution for this ticket then this is the time to respond.
Comment 34 kavol 2012-02-21 11:21:00 UTC
(In reply to comment #32)
> (In reply to comment #30)
> You should get the latest code from the official repository:
> https://projects.kde.org/projects/kde/kde-baseapps/konsole/repository.

thanks, so getting master branch via git clone git://anongit.kde.org/konsole

> See the screenshots attached in https://git.reviewboard.kde.org/r/103978/ to
> find where to turn that global option on. Or just go to "Settings -->
> Configure Konsole"

ok, now I see that new option

> As for the barrier for testing, that is a general problem. There are some
> guides on techbase.kde.org, for example:
> http://techbase.kde.org/Getting_Started/Build/Example .

I'd say this is less than ideal, but this is not the right place to discuss ...


so, to my testing:

- I'm using the script from comment #31

1) "Show window title on the titlebar" OFF

1a) tab name blank

I get "Shell" as window title and tab names by default

I suppose this comes from the profile name ...

I see some room for improvement here:

* I cannot set empty string explicitly, as the profile name is used if the input field is left blank

* I cannot use profile name explicitly, the drop down menu doesn't enlist such option

- while at it, the konsole handbook would use some updating, because it even doesn't list all the options available via the dropdowns ...

* all the tabs have the same names "Shell", better default would be to have them numbered, i.e. like "%profile_name (%#)" => "Shell (1)"

after running the script, both window title and tab name change to "tab" (= tab name set by the script)

this change persists when the script finishes => seems ok

1b) tab name set to %w

I get "username@host:pwd" by default, which is a title set by shell, I guess

running the script, I get "window" (= then name set by script) for both the window title & tab name

after the script finishes, I get "username@host:pwd" back; I believe this is reset by shell => seems ok

2) "Show window title on the titlebar" ON

2a) tab name blank

I get "Shell" on tab name and "username@host:pwd" on window title

seems ok, except for the possible improvements discussed in case 1a)

running the script, I get "window" on window title and "tab" on tab name

after it finishes, window title is reset, tab name stays => seems ok

2b) tab name set to %w

I get "username@host:pwd" both for window title and tab name

running the script, I get "window" for both of them, returning to "username@host:pwd" after the script finishes => seems ok


what I am missing in cases 1b) and 2b) is the possibility that the "%w" value would be used as default only until the tab name gets changed - i.e. the behaviour like in cases 1a) and 1b) using own implicit value and not the one provided by konsole itself (IOW, I'd like to be able to do the aboveproposed change of default from "%profile_name" to "%profile_name (%#)" myself, not to rely on common consensus what the hardcoded default should look like)


* one more suggestion, I guess it'd be more selfunderstanding to rename "Show window title on the titlebar" to something like "Set window name to window title instead of tab title", or do it the other way round, reverse the on/off meaning and use something like "Use tab name for window title"
Comment 35 Ahmad Samir 2012-02-22 06:13:16 UTC
Hello. After those changes, "- Konsole" is appended to window title in the titlebar whether "Show window title on the titlebar" is enabled or disabled. This is a change in behaviour as it used to be just the title bar without "- Konsole", i.e. now Konsole acts like other KDE apps e.g. Dolphin and Kwrite, IMHO this is a regression as it crowds the titlebar and doesn't add any useful info (we already know this is Konsole :)), also other terminal emulators, e.g. xterm, gnome-terminal) don't add the application name to the window titlebar.
Comment 36 Jekyll Wu 2012-02-22 13:16:09 UTC
(In reply to comment #34)

An impressive feedback :)

> * I cannot set empty string explicitly, as the profile name is used if the
> input field is left blank

You can set it as empty string explicitly. It is just that when Konsole needs to display one tab title, it (most of time) uses profile name as fallback if the expanded tab title is empty.

I think that is the logical behavior. What is the benefit of displaying a blank tab title? That would only be confusing and ugly. 

> * I cannot use profile name explicitly, the drop down menu doesn't enlist such
> option

Good point. You can open another wish for this for better tracking.

> 
> - while at it, the konsole handbook would use some updating, because it even
> doesn't list all the options available via the dropdowns ...

You are right. The handbook really needs more love. Any help would be appreciated. You know, it is often hard for developers to write and maintain handbook of high quality from the point of view of users. And English is not my native language :)

The source for the handbook is doc/manual/index.docbook. You(I mean any one who would like to help) can use http://userbase.kde.org/Documentation_Primer/Manual as a guide. 


> * all the tabs have the same names "Shell", better default would be to have
> them numbered, i.e. like "%profile_name (%#)" => "Shell (1)"

Another good point. Open another wish ?

Just to clarify, that is not the "default". It is the "fallback".


> * one more suggestion, I guess it'd be more selfunderstanding to rename "Show
> window title on the titlebar" to something like "Set window name to window
> title instead of tab title", or do it the other way round, reverse the on/off
> meaning and use something like "Use tab name for window title"

Yes, the current description is not that ideal. Maybe it is a mistake to use a check box to represent the choices in a on/off way. A combo box or drop down list might be a better way. I will reconsider this.
Comment 37 Jekyll Wu 2012-02-22 13:18:50 UTC
(In reply to comment #35)
> Hello. After those changes, "- Konsole" is appended to window title in the
> titlebar whether "Show window title on the titlebar" is enabled or disabled.

Yes, that's intentional as mentioned in the review request. The rationale:

1). Be consistent with other KDE applications

2). The "- Konsole" suffix could be useful for some users. See bug 179142 comment #5 for a use case.

3). KDE3 konsole had it, too. OK, this is just an excuse :)

It does make the titlebar a little more crowded and might be a distraction. However, I think its impact is limited since it appears at the end instead of the start .... Of course, that is just my personal feeling(remember I do not notice or even show the titlebar in daily work), so I'm fine with reverting the change if enough users dislike it or convince me the benefit dose not pay off.

Side note: 

The complete titlebar format in KDE3 konsole was: "window title - tab title - Konsole". Quite crowded.
Comment 38 Ahmad Samir 2012-02-22 14:02:15 UTC
(In reply to comment #37)
> (In reply to comment #35)
> > Hello. After those changes, "- Konsole" is appended to window title in the
> > titlebar whether "Show window title on the titlebar" is enabled or disabled.
> 
> Yes, that's intentional as mentioned in the review request. The rationale:
> 

Sorry about that; I should have read the review request more carefully.

> 1). Be consistent with other KDE applications
> 

[...]

> 2). The "- Konsole" suffix could be useful for some users. See bug 179142
> comment #5 for a use case.
> 

(that looks like a specific/non-default use case).

> 3). KDE3 konsole had it, too. OK, this is just an excuse :)
> 
> It does make the titlebar a little more crowded and might be a distraction.
> However, I think its impact is limited since it appears at the end instead of
> the start .... Of course, that is just my personal feeling(remember I do not
> notice or even show the titlebar in daily work), so I'm fine with reverting the
> change if enough users dislike it or convince me the benefit dose not pay off.
> 

I guess you'll find out when the new code is deployed in the next stable KDE release (4.8.1 or next) :)

> Side note: 
> 
> The complete titlebar format in KDE3 konsole was: "window title - tab title -
> Konsole". Quite crowded.

Ouch... however I can't say I noticed that in KDE3 (I didn't use it that long before the first KDE4 stable release came out and I switched to it).
Comment 39 Jekyll Wu 2012-02-22 14:49:23 UTC
(In reply to comment #38)

> I guess you'll find out when the new code is deployed in the next stable KDE
> release (4.8.1 or next) :)

Well, as I have mentioned in comment #30, the new code will be only available in next major release(KDE SC 4.9). 

I have no plan to add the '- Konsole' suffix into the stable series(4.8.x) since that is a change of behavior other than bug fixing.

Whatever, this '- Konsole' thing is just one line's change. So don't worry too much about it.
Comment 40 kavol 2012-02-23 14:42:52 UTC
(In reply to comment #36)
> > * I cannot use profile name explicitly, the drop down menu doesn't enlist
> > such option
> 
> Good point. You can open another wish for this for better tracking.

here you are, bug #294686 :-)

> You are right. The handbook really needs more love. Any help would be
> appreciated. You know, it is often hard for developers to write and maintain
> handbook of high quality from the point of view of users. And English is not
> my native language :)

neither it is mine mother tongue :-/

> The source for the handbook is doc/manual/index.docbook. You(I mean any one
> who would like to help) can use http://userbase.kde.org/Documentation_Primer/Manual
> as a guide. 

... anyways, thanks for the link

> > * all the tabs have the same names "Shell", better default would be to have
> > them numbered, i.e. like "%profile_name (%#)" => "Shell (1)"
> 
> Another good point. Open another wish ?

bug #294688

and if you are bored ... bug #294691 ;-)

> > * one more suggestion, I guess it'd be more selfunderstanding to rename "Show
> > window title on the titlebar" to something like "Set window name to window
> > title instead of tab title", or do it the other way round, reverse the on/off
> > meaning and use something like "Use tab name for window title"
> 
> Yes, the current description is not that ideal. Maybe it is a mistake to use a
> check box to represent the choices in a on/off way. A combo box or drop down
> list might be a better way. I will reconsider this.

thinking about it a bit ... what was the reason to set this globally and not per-profile?

what if there would be just another set of input fields for window name settings just below tab name settings, possibly grouped under a checkbox "use the same settings" that would simply copy the settings if checked?
Comment 41 Jekyll Wu 2012-02-23 17:06:11 UTC
(In reply to comment #40)
> thinking about it a bit ... what was the reason to set this globally and not
> per-profile? 

Well, the main consideration is a profile is not only used by stand-alone Konsole, but also by konsolepart. . 

Just consider all the options related with tabbar, menubar, titlebar again. They do not make sense for a konsolepart embedded in dolphin/kate/kdevelop/yakuake.

So the general idea is to make those options global so that they are Konsole only. That decision not only make the concept more logical , but also is important for cleaning up some weird code.

In short words:

per-profile options : influence the behavior within one tab/session
global options : influence the behavior outside of tabs/sessions in stand-alone Konsole

> what if there would be just another set of input fields for window name
> settings just below tab name settings, possibly grouped under a checkbox "use
> the same settings" that would simply copy the settings if checked?

I'm not sure whether there is strong need for that level of flexibility. Most users in this report just want the titlebar to show window title independently upon the tab title format. Since the window title is controllable through escape sequence, users already have some flexibility.
Comment 42 Greta Watson 2012-09-24 23:17:24 UTC
(In reply to comment #37)
> (In reply to comment #35)
> > Hello. After those changes, "- Konsole" is appended to window title in the
> > titlebar whether "Show window title on the titlebar" is enabled or disabled.
> 
> Yes, that's intentional as mentioned in the review request. The rationale:
> 
> 1). Be consistent with other KDE applications
> 
> 2). The "- Konsole" suffix could be useful for some users. See bug 179142
> comment #5 for a use case.
> 
> 3). KDE3 konsole had it, too. OK, this is just an excuse :)
> 
> It does make the titlebar a little more crowded and might be a distraction.
> However, I think its impact is limited since it appears at the end instead
> of the start .... Of course, that is just my personal feeling(remember I do
> not notice or even show the titlebar in daily work), so I'm fine with
> reverting the change if enough users dislike it or convince me the benefit
> dose not pay off.
> 
> Side note: 
> 
> The complete titlebar format in KDE3 konsole was: "window title - tab title
> - Konsole". Quite crowded.

It was so nice to not have the "Konsole" word in the title.  I hate that it is back.  I wish there were a way to make it optional, so those of us who hate it don't have to see it.  I use %u : %D, and that's all I want to see in the title bar.
Comment 43 Jekyll Wu 2012-09-24 23:40:30 UTC
(In reply to comment #42)

> It was so nice to not have the "Konsole" word in the title.  I hate that it
> is back.  I wish there were a way to make it optional, so those of us who
> hate it don't have to see it.  I use %u : %D, and that's all I want to see
> in the title bar.

@Greta:

Since this report has been closed as fixed for a long time, and the issue you are raising here is not directly related with the main problem in this report, it is better to open a new report (referring this one as your start point) instead of reusing this one. That also make it easier to collect how many users dislike this specific change.
Comment 44 Greta Watson 2012-09-25 00:59:04 UTC
(In reply to comment #43)
> (In reply to comment #42)
> 
> > It was so nice to not have the "Konsole" word in the title.  I hate that it
> > is back.  I wish there were a way to make it optional, so those of us who
> > hate it don't have to see it.  I use %u : %D, and that's all I want to see
> > in the title bar.
> 
> @Greta:
> 
> Since this report has been closed as fixed for a long time, and the issue
> you are raising here is not directly related with the main problem in this
> report, it is better to open a new report (referring this one as your start
> point) instead of reusing this one. That also make it easier to collect how
> many users dislike this specific change.

Done.  Bug is 307355, opened as a request for enhancement rather than as a bug.